import java.security.*;
import javax.crypto.*;

public class AuthenticatorSecrets {
    private int          count = 0;
    private int          maxCount = 10;
    private SecretPool[] sp;

    public AuthenticatorSecrets() {
        sp = new SecretPool[maxCount];
    }

    public synchronized void setSecretKey(int i, SecretKey s) {
        boolean found = false;

        for (int j=0; j < count; j++) {
            if (sp[j].id == i) {
                sp[j].skey = s;
                found = true;
                System.err.println("Server-" + i + " [" + j + "]");
            }
        }
        if (!found) {
            if (count < maxCount) {
                sp[count] = new SecretPool();
                sp[count].id = i;
                sp[count].skey = s;
                System.err.println("Server-" + i + " [" + count + "]");
                count++;
            } else {
                System.err.println("AuthenticatorSecrets: setSecretKey() -> Out of space");
            }
        }
    }

    public synchronized SecretKey getSecretKey(int i) {
        for (int j=0; j < maxCount; j++) 
            if (sp[j].id == i) return sp[j].skey;
        return null;
    }
}
